1. ACCOUNT USERS
X Lead Main
  • Overview
  • API Key Integration
  • ACCOUNT
    • Get Account
      GET
  • ACCOUNT USERS
    • List Users
      GET
    • Get User
      GET
    • Get TA Lists
      GET
    • Get Tags
      GET
    • Query Users
      POST
    • Get User ID
      POST
    • Create User
      POST
    • Update User
      POST
    • Delete User
      DELETE
  • LEAD FORMS
    • Build Form
      • Create
      • Clarify
      • Confirm
    • Edit Form
      • Update
    • List Users
      GET
    • Get User
      GET
  1. ACCOUNT USERS

Update User

POST
https://api.main.xleadfunnel.com/v1/account-users/update-user
Update a particular user with User ID, if fields are provided, system will update those fields based on the values you provided. If fields are not provied, system will not amend those field values that already existed in database.

Request

Body Params application/json

Example
{
    "user_id": "6585sc9c2b7c2g96c72bv28f",
    "name": "Peter Chan",
    "email": "peter.chan@gmail.com",
    "country_code": "852",
    "mobile": "98765432",
    "source": "FB",
    "add_tags": [
        {
            "value": "健身"
        }
    ],
    "delete_tags": [
        {
            "value": "跑步"
        }
    ],
    "add_ta_lists": [
        {
            "ta_id": "669bcf4e1122334455667788"
        }
    ]
}

Responses

🟢200Success
application/json
Bodyapplication/json

Examples
{
    "rc": 100,
    "rm": "User has been successfully updated."
}
Modified at 2026-07-20 08:38:35
Previous
Create User
Next
Delete User
Built with